Add log names to a run
curl --request POST \
--url https://pluto-api.trainy.ai/api/runs/logName/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": 123,
"logName": [
"train/loss",
"train/accuracy"
],
"logType": "METRIC"
}
'import requests
url = "https://pluto-api.trainy.ai/api/runs/logName/add"
payload = {
"runId": 123,
"logName": ["train/loss", "train/accuracy"],
"logType": "METRIC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({runId: 123, logName: ['train/loss', 'train/accuracy'], logType: 'METRIC'})
};
fetch('https://pluto-api.trainy.ai/api/runs/logName/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>"
}Runs
Add log names to a run
Adds new log names (metrics, console logs, etc.) to an existing run.
POST
/
api
/
runs
/
logName
/
add
Add log names to a run
Authorizations
API key obtained from the mlop dashboard
Body
application/json
Response
Log names added successfully
Was this page helpful?
⌘I